### Method

# Shell Global get_pointer

#### Declaration [src]

    void
    shell_global_get_pointer (
      ShellGlobal* global,
      int* x,
      int* y,
      ClutterModifierType* mods
    )

#### Description [src]

Gets the pointer coordinates and current modifier key state.

#### Parameters

`x`

  Type: `int*`

  The X coordinate of the pointer, in global coordinates.

  The argument will be set by the function.

`y`

  Type: `int*`

  The Y coordinate of the pointer, in global coordinates.

  The argument will be set by the function.

`mods`

  Type: `ClutterModifierType`

  The current set of modifier keys that are pressed down.

  The argument will be set by the function.
  The caller of the method takes ownership of the data, and is responsible for freeing it.